Skip to main content
GET
https://your-rootprint-host
/
api
/
indexes
/
{indexId}
/
stats
Get index stats history
curl --request GET \
  --url https://your-rootprint-host/api/indexes/{indexId}/stats \
  --cookie better-auth.session_token=
{
  "indexId": "<string>",
  "points": [
    {
      "capturedAt": "2023-11-07T05:31:56Z",
      "numDocs": 123,
      "sizeBytes": 123,
      "uncompressedBytes": 123,
      "numSplits": 123,
      "minTimestamp": 123,
      "maxTimestamp": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rootprint.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

better-auth.session_token
string
cookie
required

Better Auth session cookie used by the Rootprint web UI.

Path Parameters

indexId
string
required

Quickwit index ID.

Minimum string length: 1

Query Parameters

from
number
to
number
limit
integer
Required range: 1 <= x <= 10000

Response

Stats history.

indexId
string
required
points
object[]
required